FLANG

Public Member Functions | Protected Attributes | List of all members
fir::AbstractArrayBox Class Reference

`#include <flang/Lower/Support/BoxValue.h>`

Inheritance diagram for fir::AbstractArrayBox:

## Public Member Functions
| AbstractArrayBox (llvm::ArrayRef< mlir::Value > extents, llvm::ArrayRef< mlir::Value > lbounds)
const llvm::SmallVectorImpl< mlir::Value > & | getExtents () const
const llvm::SmallVectorImpl< mlir::Value > & | getLBounds () const
bool | lboundsAllOne () const

## Protected Attributes
llvm::SmallVector< mlir::Value, 4 > | extents
llvm::SmallVector< mlir::Value, 4 > | lbounds

## Detailed Description

Abstract base class. Expressions of type array have at minimum a shape. These expressions may have lbound attributes (dynamic values) that affect the interpretation of indexing expressions.

The documentation for this class was generated from the following file:

- include/flang/Lower/Support/BoxValue.h